net.sf.cglib.proxy

## Interface LazyLoader

- All Superinterfaces:
    Callback

      public interface LazyLoader
      extends Callback

  Lazy-loading `Enhancer` callback.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `loadObject()` Return the object which the original method invocation should be dispatched.

- - ### Method Detail

    - #### loadObject

          java.lang.Object loadObject()
                                      throws java.lang.Exception

      Return the object which the original method invocation should be dispatched. Called as soon as the first lazily-loaded method in the enhanced instance is invoked. The same object is then used for every future method call to the proxy instance.
      Returns:
        an object that can invoke the method
      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation